<?php 
/**	archive.php
 *
 * 
 *	Archive for this theme
 * 
 * 	@author		Malvouz
 * 	@package	Hanamoto
 * 	@since		1.0.0 - 04.07.2013
 */

get_header(); ?>

<div class="spacer">
	<div class="span8">
	<div class="spacer-archive">
		<?php // Call the author
		$curauth = (get_query_var('author_name')) ? get_user_by('slug', get_query_var('author_name')) : get_userdata(get_query_var('author'));
		?>
		
			
			<?php 
			// This code tell WordPress which type of archive that user clicked.
			if(is_day()): ?>
							<h3><?php printf(__('Daily Archives: %s', 'hanamoto'), get_the_date()); ?></h3>
						<?php elseif (is_month()) : ?>
							<h3><?php printf(__('Monthly Archives: %s', 'hanamoto'), get_the_date('F Y')); ?></h3>
						<?php elseif (is_year()) : ?>
							<h3><?php printf(__('Yearly Archives: %s', 'hanamoto'), get_the_date('Y')); ?></h3>
						<?php elseif (is_category()) : ?>
							<h3><?php echo single_tag_title('Category Archives for: '); ?></h3>
						<?php elseif (is_tag()) : ?>
							<h3><?php echo single_tag_title('Tag Archives for: '); ?></h3>
						<?php elseif (is_author()) : ?>
							<h3><?php _e('All posts by', 'hanamoto'); ?> <?php echo $curauth->display_name; ?></h3>
						<?php else : ?>
							<h3><?php _e('Blog Archives', 'hanamoto'); ?></h3>
						<?php endif; ?>

	</div> <!-- end spacer-archive -->
	
	<?php
		if(have_posts()) while ( have_posts() ) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<article>
				<h2><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'hanamoto' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
				
				<div class="posted-on"><small><?php malvz_posted_on(); ?></small></div>
				<div class="clearfix"></div>
				<?php if ( has_post_thumbnail() ) : ?>
				<a class="thumbnail post-thumbnail post-thumbnail-size" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail( 'thumbnail' ); ?>
				</a>
				
				<?php endif; // end of thumbnail ?>
				
				<?php the_content('Continue Reading', 'hanamoto'); ?>
				<div class="clearfix"></div>
				<div class="page-header">
					<?php if ( count( get_the_category() ) ) : ?><?php the_category(', '); ?><?php endif; ?>
			
					<?php // For Tags
					$tags_list = get_the_tag_list( '', ', ' );
					if ( $tags_list ):
					?>
					&nbsp; <!-- add space -->
					<?php printf( __( '%2$s', 'hanamoto' ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list ); ?>
					<?php endif; // end of tags ?>
				</div> <!-- end of page-header -->
				
				
				
			</article>
			
</div>

<?php endwhile; ?>	
<?php malvz_content_nav() ?>	
</div> <!-- end of span8 -->

<div class="span4">
	<?php get_sidebar(); ?>
</div>

</div> <!-- end of spacer -->

<?php get_footer();

/* End of file archive.php */
/* Location: ./wp-content/themes/hanamoto/archive.php */