<?php
/** header.php
 *
 * Displays all of the <head> section
 *
 * @author		Malvouz
 * @package		Hanamoto
 * @since		1.0 - 04.02.2013
 */

?>

<!DOCTYPE>
<html <?php language_attributes(); ?>>
	<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<?php malvz_header_link_hook(); ?>

	<?php wp_head(); ?>
	</head>

<body <?php body_class(); ?>>
	
			<div class="container">
				<div id="page" class="row">
					
					<div class="span4">
						<?php 
						global $malvouz_options;
						foreach ($malvouz_options as $key => $value) {
						${"$key"} = $value; }
						
						if($malvouz_options['malvouz_logo']) { ?>
							<a href="<?php echo esc_url(home_url()); ?>"><img src="<?php echo $malvouz_logo; ?>"></a>
						<?php }
	
						else {
						?>
						<h3><a href="<?php echo esc_url(home_url()); ?>"><?php echo get_bloginfo('name'); ?></a></h3>
						<p><?php echo get_bloginfo('description', 'display'); ?></p>
						<?php } ?>
						
					</div>
										
					<div class="span8">
						<div class="navbar">
								<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								</a>
									<div class="nav-collapse">
										<?php
											wp_nav_menu( array(
												'container'			=>	'',
												'container_class'	=>	'subnav clearfix',
												'theme_location'	=>	'header-menu',
												'menu_class'		=>	'nav nav-pills pull-right',
												'depth'				=>	3,
												'fallback_cb'		=>	false,
												'walker'			=>	new malvz_Nav_Walker
											) ); 
										?>
									</div> <!-- end nav-collapse -->
						</div><!-- end navbar -->
					</div> <!-- end span8 -->		
					
				
			<div class="clearfix"></div>
			
<?php

/* End of file header.php */
/* Location: ./wp-content/themes/hanamoto/header.php */